var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
import { Injectable, Inject, OpaqueToken } from '@angular/core';
import { share } from 'rxjs/operator/share';
import { Observable } from 'rxjs/Observable';
var observeSpecStarted = function (env) { return new Observable(function (observer) {
    env.addReporter({
        specStarted: function (result) { return observer.next(result); },
        jasmineDone: function () { return observer.complete(); }
    });
}); };
var observeSpecDone = function (env) { return new Observable(function (observer) {
    env.addReporter({
        specDone: function (result) { return observer.next(result); },
        jasmineDone: function () { return observer.complete(); }
    });
}); };
var observeSuiteStarted = function (env) { return new Observable(function (observer) {
    env.addReporter({
        suiteStarted: function (result) { return observer.next(result); },
        jasmineDone: function () { return observer.complete(); }
    });
}); };
var observeSuiteDone = function (env) { return new Observable(function (observer) {
    env.addReporter({
        suiteDone: function (result) { return observer.next(result); },
        jasmineDone: function () { return observer.complete(); }
    });
}); };
export var JASMINE_ENV = new OpaqueToken('Jasmine Env');
var SnapshotReporter = (function () {
    function SnapshotReporter(env) {
        this.specStarted$ = share.call(observeSpecStarted(env));
        this.specDone$ = share.call(observeSpecDone(env));
        this.suiteStarted$ = share.call(observeSuiteStarted(env));
        this.suiteDone$ = share.call(observeSuiteDone(env));
    }
    return SnapshotReporter;
}());
SnapshotReporter = __decorate([
    Injectable(),
    __param(0, Inject(JASMINE_ENV)),
    __metadata("design:paramtypes", [Object])
], SnapshotReporter);
export { SnapshotReporter };
export var PROVIDERS = [
    { provide: JASMINE_ENV, useFactory: function () { return jasmine.getEnv(); } },
    SnapshotReporter
];
//# sourceMappingURL=reporter.js.map