import { SnapshotConfig } from './snapshot-config';
import { SnapshotFileHandler } from './snapshot-files';
import { SnapshotReporter } from './reporter';
export declare class SnapshotRunner {
    private config;
    private fileHandler;
    private reporter;
    private specCounter;
    private specDescription;
    private encounteredSnapshots;
    private loadedSnapshots;
    private activeFilePath;
    constructor(config: SnapshotConfig, fileHandler: SnapshotFileHandler, reporter: SnapshotReporter);
    private setSpecDescription(spec);
    private getCurrentSnapshot();
    private encounterSnapshot(snapshot);
    loadSnapshots(file: string): void;
    compareSnapshot(fixture: any): {
        pass: boolean;
        message?: string;
    };
    saveSnapshots(): void;
}
export declare const PROVIDERS: typeof SnapshotRunner[];
