var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@angular/core';
import * as fs from 'fs';
var FileSystemAdapter = (function () {
    function FileSystemAdapter() {
    }
    return FileSystemAdapter;
}());
FileSystemAdapter = __decorate([
    Injectable()
], FileSystemAdapter);
export { FileSystemAdapter };
var NodeFileSystemAdapterBackend = (function () {
    function NodeFileSystemAdapterBackend() {
    }
    Object.defineProperty(NodeFileSystemAdapterBackend.prototype, "filesystem", {
        get: function () {
            return fs;
        },
        enumerable: true,
        configurable: true
    });
    return NodeFileSystemAdapterBackend;
}());
NodeFileSystemAdapterBackend = __decorate([
    Injectable()
], NodeFileSystemAdapterBackend);
export { NodeFileSystemAdapterBackend };
var NodeFileSystemAdapter = (function (_super) {
    __extends(NodeFileSystemAdapter, _super);
    function NodeFileSystemAdapter(backend) {
        var _this = _super.call(this) || this;
        _this.backend = backend;
        return _this;
    }
    NodeFileSystemAdapter.prototype.fileExists = function (path) {
        return this.backend.filesystem.existsSync(path);
    };
    NodeFileSystemAdapter.prototype.loadFile = function (path) {
        return this.backend.filesystem.readFileSync(path, 'utf8');
    };
    NodeFileSystemAdapter.prototype.saveFile = function (path, content) {
        this.backend.filesystem.writeFileSync(path, content, 'utf8');
    };
    return NodeFileSystemAdapter;
}(FileSystemAdapter));
NodeFileSystemAdapter = __decorate([
    Injectable(),
    __metadata("design:paramtypes", [NodeFileSystemAdapterBackend])
], NodeFileSystemAdapter);
export { NodeFileSystemAdapter };
export var PROVIDERS = [
    { provide: FileSystemAdapter, useClass: NodeFileSystemAdapter },
    NodeFileSystemAdapterBackend
];
//# sourceMappingURL=file-system-adapter.js.map