/// <reference types="jasmine" />
import { OpaqueToken } from '@angular/core';
import { Observable } from 'rxjs/Observable';
export declare const JASMINE_ENV: OpaqueToken;
export declare class SnapshotReporter {
    specStarted$: Observable<jasmine.Spec>;
    specDone$: Observable<jasmine.Spec>;
    suiteStarted$: Observable<jasmine.Suite>;
    suiteDone$: Observable<jasmine.Suite>;
    constructor(env: jasmine.Env);
}
export declare const PROVIDERS: (typeof SnapshotReporter | {
    provide: OpaqueToken;
    useFactory: () => jasmine.Env;
})[];
