import { SnapshotConfig } from './snapshot-config';
import { FileSystemAdapter } from './file-system-adapter';
import { Snapshots } from './snapshots';
import { YamlSerializer } from './serializer';
export declare class SnapshotFileHandler {
    private config;
    private fileSystem;
    private yaml;
    constructor(config: SnapshotConfig, fileSystem: FileSystemAdapter, yaml: YamlSerializer);
    save(path: string, snapshots: Snapshots): void;
    load(path: string): Snapshots;
}
export declare const PROVIDERS: typeof SnapshotFileHandler[];
